/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package View;

import java.awt.Color;

/**
 *
 * @author raymo
 */
public class PanelNavigator extends javax.swing.JPanel {

    /**
     * Creates new form PanelControl
     */
    public PanelNavigator() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnNext = new javax.swing.JLabel();
        btnBack = new javax.swing.JLabel();
        btnEdit = new javax.swing.JLabel();
        btnSave = new javax.swing.JLabel();
        btnPush = new javax.swing.JLabel();
        btnDelete = new javax.swing.JLabel();

        setMaximumSize(new java.awt.Dimension(680, 70));
        setMinimumSize(new java.awt.Dimension(680, 70));
        setOpaque(false);
        setPreferredSize(new java.awt.Dimension(680, 70));

        btnNext.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-next-page-25.png"))); // NOI18N
        btnNext.setText("Next");
        btnNext.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnNextMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnNextMouseExited(evt);
            }
        });

        btnBack.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-back-to-25.png"))); // NOI18N
        btnBack.setText("Back");
        btnBack.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnBackMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnBackMouseExited(evt);
            }
        });

        btnEdit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-before-compose-25.png"))); // NOI18N
        btnEdit.setText("Edit");
        btnEdit.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnEditMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnEditMouseExited(evt);
            }
        });

        btnSave.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-turn-25.png"))); // NOI18N
        btnSave.setText("Save");
        btnSave.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnSaveMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnSaveMouseExited(evt);
            }
        });

        btnPush.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-updates-25.png"))); // NOI18N
        btnPush.setText("Push to database");
        btnPush.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnPushMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnPushMouseExited(evt);
            }
        });

        btnDelete.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-trash-25.png"))); // NOI18N
        btnDelete.setText("Delete");
        btnDelete.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnDeleteMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnDeleteMouseExited(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(26, 26, 26)
                .addComponent(btnEdit)
                .addGap(43, 43, 43)
                .addComponent(btnSave)
                .addGap(40, 40, 40)
                .addComponent(btnBack)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 56, Short.MAX_VALUE)
                .addComponent(btnNext)
                .addGap(41, 41, 41)
                .addComponent(btnDelete)
                .addGap(43, 43, 43)
                .addComponent(btnPush)
                .addGap(23, 23, 23))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(23, 23, 23)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(btnPush)
                        .addComponent(btnDelete))
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(btnEdit)
                        .addComponent(btnSave)
                        .addComponent(btnBack)
                        .addComponent(btnNext)))
                .addContainerGap(22, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void btnNextMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnNextMouseEntered
        // TODO add your handling code here:
        btnNext.setForeground(Color.BLUE);
        btnNext.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-next-page-25-hover.png")));
    }//GEN-LAST:event_btnNextMouseEntered

    private void btnNextMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnNextMouseExited
        // TODO add your handling code here:
        btnNext.setForeground(Color.BLACK);
        btnNext.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-next-page-25.png")));
    }//GEN-LAST:event_btnNextMouseExited

    private void btnBackMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnBackMouseEntered
        // TODO add your handling code here:
        btnBack.setForeground(Color.BLUE);
        btnBack.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-back-to-25-hover.png")));
    }//GEN-LAST:event_btnBackMouseEntered

    private void btnBackMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnBackMouseExited
        // TODO add your handling code here:
        btnBack.setForeground(Color.BLACK);
        btnBack.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-back-to-25.png")));
    }//GEN-LAST:event_btnBackMouseExited

    private void btnEditMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnEditMouseEntered
        // TODO add your handling code here:
        btnEdit.setForeground(Color.BLUE);
        btnEdit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-compose-25.png")));
    }//GEN-LAST:event_btnEditMouseEntered

    private void btnEditMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnEditMouseExited
        // TODO add your handling code here:
        btnEdit.setForeground(Color.BLACK);
        btnEdit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-before-compose-25.png")));
    }//GEN-LAST:event_btnEditMouseExited

    private void btnSaveMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnSaveMouseEntered
        // TODO add your handling code here:
        btnSave.setForeground(Color.BLUE);
        btnSave.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-turn-25-hover.png")));
    }//GEN-LAST:event_btnSaveMouseEntered

    private void btnSaveMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnSaveMouseExited
        // TODO add your handling code here:
        btnSave.setForeground(Color.BLACK);
        btnSave.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-turn-25.png")));
    }//GEN-LAST:event_btnSaveMouseExited

    private void btnPushMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnPushMouseEntered
        // TODO add your handling code here:
        btnPush.setForeground(Color.BLUE);
        btnPush.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-updates-25-hover.png")));
    }//GEN-LAST:event_btnPushMouseEntered

    private void btnPushMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnPushMouseExited
        // TODO add your handling code here:
        btnPush.setForeground(Color.BLACK);
        btnPush.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-updates-25.png")));
    }//GEN-LAST:event_btnPushMouseExited

    private void btnDeleteMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnDeleteMouseEntered
        // TODO add your handling code here:
        btnDelete.setForeground(Color.BLUE);
        btnDelete.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-trash-25-hover.png")));
    }//GEN-LAST:event_btnDeleteMouseEntered

    private void btnDeleteMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnDeleteMouseExited
        // TODO add your handling code here:
        btnDelete.setForeground(Color.BLACK);
        btnDelete.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-trash-25.png")));
    }//GEN-LAST:event_btnDeleteMouseExited


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel btnBack;
    private javax.swing.JLabel btnDelete;
    private javax.swing.JLabel btnEdit;
    private javax.swing.JLabel btnNext;
    private javax.swing.JLabel btnPush;
    private javax.swing.JLabel btnSave;
    // End of variables declaration//GEN-END:variables
}
